<?php function ar_custom_header_setup() {
    $args = array(
        'default-text-color' => '000000',
        'default-image' => '',
        'height' => 250,
        'width' => 960,
        'max-width' => 2000,
        'flex-height' => TRUE,
        'flex-width' => TRUE,
        'random-default' => TRUE,
        'wp-head-callback' => 'ar_header_style',
        'admin-head-callback' => 'ar_admin_header_style',
        'admin-preview-callback' => 'ar_admin_header_image',
    );
    add_theme_support('custom-header', $args);
}
add_action('after_setup_theme', 'ar_custom_header_setup');
function ar_header_style() {
    $text_color = get_header_textcolor();
    if ( $text_color == get_theme_support('custom-header', 'default-text-color'))
        return; ?>
    <style type="text/css">
    <?php if ( ! display_header_text()) : ?>
        .blog-title,
        .blog-description {
            position: absolute !important;
            clip: rect(1px 1px 1px 1px); /* IE7 */
            clip: rect(1px, 1px, 1px, 1px);
        }
    <?php else : ?>
        .blog-title a,
        .blog-description {
            color: #<?php echo $text_color; ?> !important;
        }
    <?php endif; ?>
    </style>
<?php }
function ar_admin_header_style() { ?>
    <style type="text/css">
    .appearance_page_custom-header #img_slider {
        border: 0;
    }

    #img_slider h1,
    #img_slider h2 {
        line-height: 1.6;
        margin: 0;
        padding: 0;
    }

    #img_slider h1 {
        font-size: 30px;
    }

    #img_slider h1 a {
        color: #515151;
        text-decoration: none;
    }

    #img_slider h1 a:hover {
        color: #21759b;
    }

    #img_slider h2 {
        color: #222222;
        font: normal 13px/1.8 LiberationSans, verdana, sans-serif;
        margin-bottom: 24px;
    }

    #img_slider img {
        max-width: <?php echo get_theme_support('custom-header', 'max-width'); ?>px;
    }
    </style>
<?php }
function ar_admin_header_image() { ?>
    <div id="img_slider">
        <?php if ( ! display_header_text())
            $style = ' style="display:none;"';
        else 
            $style = ' style="color:#' . get_header_textcolor() . '; " '; ?>
        <h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url(home_url('/')); ?>"><?php bloginfo('name'); ?></a></h1>
        <h2 id="desc"<?php echo $style; ?>><?php bloginfo('description'); ?></h2>
        <?php $header_image = get_header_image();
        if ( ! empty($header_image)) : ?>
            <img src="<?php echo esc_url($header_image); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_url($header_image); ?>">
        <?php endif; ?>
    </div>
<?php }